"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

require("core-js/modules/es6.object.define-property");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.querystring = void 0;

var _url = _interopRequireDefault(require("url"));

// import { LanguageDetectorOptions } from '../../../typings';
var querystring = {
  name: 'querystring',
  lookup: function lookup(req, _res, options) {
    if (req && options.lookupQuerystring) {
      var urlParts = _url["default"].parse(req.url, true);

      var query = urlParts.query;

      if (query) {
        return query[options.lookupQuerystring];
      }

      return false;
    }

    return false;
  }
};
exports.querystring = querystring;