import { URL } from 'url';
// import { LanguageDetectorInterface, LanguageDetectorOptions } from '../../../typings';
export const path = {
  name: 'path',

  lookup(req, res, options) {
    if (req && options.lookupPath) {
      const url = new URL(req.url);
      const params = url.searchParams;

      if (params) {
        return params[options.lookupPath]; // currently, starting the lookup from a certain index / position is not
        // supported (options.lookupFromPathIndex)
      }

      return false;
    }
  }

};