import URL from 'url';
// import { LanguageDetectorOptions } from '../../../typings';
export const querystring = {
  name: 'querystring',

  lookup(req, _res, options) {
    if (req && options.lookupQuerystring) {
      const urlParts = URL.parse(req.url, true);
      const query = urlParts.query;

      if (query) {
        return query[options.lookupQuerystring];
      }

      return false;
    }

    return false;
  }

};