"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

require("core-js/modules/es6.object.define-property");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.cookie = void 0;

var _cookies = _interopRequireDefault(require("cookies"));

// import { LanguageDetectorInterface, LanguageDetectorOptions } from '../../../typings';
var cookie = {
  name: 'cookie',
  lookup: function lookup(req, res, options) {
    if (req && options.lookupCookie) {
      if (req.headers && req.headers.cookie) {
        return req.headers.cookie[options.lookupCookie];
      } else {
        var cookies = new _cookies["default"](req, res);
        return cookies.get(options.lookupCookie);
      }
    }
  },
  cacheUserLanguage: function cacheUserLanguage(req, res, lng) {
    var options = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : {};

    // TODO: res._headerSent
    if (options.lookupCookie && req && !res.headersSent) {
      var cookies = new _cookies["default"](req, res);
      var expirationDate = options.cookieExpirationDate;

      if (!expirationDate) {
        expirationDate = new Date();
        expirationDate.setFullYear(expirationDate.getFullYear() + 1);
      }

      var cookieOptions = {
        expires: expirationDate,
        domain: options.cookieDomain,
        httpOnly: false,
        overwrite: true
      };

      if (options.hasOwnProperty('cookieSecure')) {
        // cookieOptions = {
        //   ...cookieOptions,
        //   secure: options.cookieSecure
        // };
        cookies.set(options.lookupCookie, lng, cookieOptions);
      }
    }
  }
};
exports.cookie = cookie;