"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

require("core-js/modules/es6.object.define-property");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.header = void 0;

require("core-js/modules/es6.array.sort");

require("core-js/modules/es6.number.constructor");

var _lodash = _interopRequireDefault(require("lodash"));

// import { LanguageDetectorInterface, LanguageDetectorOptions } from '../../../typings';
var header = {
  name: 'header',
  lookup: function lookup(req, _res, options) {
    var found;

    if (!_lodash["default"].isUndefined(req)) {
      var headers = req.headers;
      if (!headers) return found;
      var locales = [];
      var acceptLanguage = options.lookupHeader ? headers[options.lookupHeader] : headers['accept-language'];

      if (acceptLanguage) {
        var lngs = [],
            i,
            m;
        var rgx = /(([a-z]{2})-?([A-Z]{2})?)\s*;?\s*(q=([0-9.]+))?/gi;

        do {
          m = rgx.exec(acceptLanguage);

          if (m) {
            var lng = m[1],
                weight = m[5] || '1',
                q = Number(weight);

            if (lng && !isNaN(q)) {
              lngs.push({
                lng: lng,
                q: q
              });
            }
          }
        } while (m);

        lngs.sort(function (a, b) {
          return b.q - a.q;
        });

        for (i = 0; i < lngs.length; i++) {
          locales.push(lngs[i].lng);
        }

        if (locales.length) found = locales;
      }
    }

    return found;
  }
};
exports.header = header;