"use strict";

require("core-js/modules/es6.object.define-property");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.path = void 0;

var _url = require("url");

// import { LanguageDetectorInterface, LanguageDetectorOptions } from '../../../typings';
var path = {
  name: 'path',
  lookup: function lookup(req, res, options) {
    if (req && options.lookupPath) {
      var url = new _url.URL(req.url);
      var params = url.searchParams;

      if (params) {
        return params[options.lookupPath]; // currently, starting the lookup from a certain index / position is not
        // supported (options.lookupFromPathIndex)
      }

      return false;
    }
  }
};
exports.path = path;